Benini {VGAM} | R Documentation

## The Benini Distribution

### Description

Density, distribution function, quantile function and random generation for the Benini distribution with parameter `shape`.

### Usage

    dbenini(x, y0, shape, log = FALSE)
    pbenini(q, y0, shape, lower.tail = TRUE, log.p = FALSE)
    qbenini(p, y0, shape, lower.tail = TRUE, log.p = FALSE)
    rbenini(n, y0, shape)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. Same as `runif`.
`y0` | the scale parameter y0.
`shape` | the positive shape parameter b.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `benini1`, the VGAM family function for estimating the parameter s by maximum likelihood estimation, for the formula of the probability density function and other details.

### Value

`dbenini` gives the density, `pbenini` gives the distribution function, `qbenini` gives the quantile function, and `rbenini` generates random deviates.

### Author(s)

T. W. Yee and Kai Huang

### References

Kleiber, C. and Kotz, S. (2003) Statistical Size Distributions in Economics and Actuarial Sciences, Hoboken, NJ, USA: Wiley-Interscience.

### See Also

`benini1`.

### Examples

    ## Not run:
    y0 <- 1; shape <- exp(1)
    xx <- seq(0.0, 4, len = 101)
    plot(xx, dbenini(xx, y0 = y0, shape = shape), type = "l", col = "blue",
         main = "Blue is density, orange is cumulative distribution function",
         sub = "Purple lines are the 10,20,...,90 percentiles", ylim = 0:1,
         las = 1, ylab = "", xlab = "x")
    abline(h = 0, col = "blue", lty = 2)
    lines(xx, pbenini(xx, y0 = y0, shape = shape), col = "orange")
    probs <- seq(0.1, 0.9, by = 0.1)
    Q <- qbenini(probs, y0 = y0, shape = shape)
    lines(Q, dbenini(Q, y0 = y0, shape = shape),
          col = "purple", lty = 3, type = "h")
    pbenini(Q, y0 = y0, shape = shape) - probs  # Should be all zero

    ## End(Not run)

[Package VGAM version 1.1-1 Index]